using EVCB_OCPP.Domain;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Microsoft.EntityFrameworkCore;

namespace TestTool.RemoteTriggerAPP
{
    public class Program
    {
        public static void Main(string[] args)
        {
            // Create a builder by specifying the application and main window.
            var builder = WpfApplication<App, MainWindow>.CreateBuilder(args);

            

            builder.Services.AddDbContextFactory<MainDBContext>(options => {
                var cString = builder.Configuration.GetConnectionString("BusinessDbContext");
                Console.WriteLine(cString);
                options.UseSqlServer(cString);
            });

            // Build and run the application.
            var app = builder.Build();
            app.Run();
            //await app.RunAsync();
        }
    }
}
